%global long_ver  2010-12-19

Name:           base64coder
Version:        20101219
Release:        %mkrel 15
Group:          Development/Java
Summary:        Fast and compact Base64 encoder/decoder Java library
License:        EPL or LGPLv2+ or GPLv2+ or ASL 2.0+ or BSD
BuildArch:      noarch
URL:            http://www.source-code.biz/%{name}/java/
Source0:        http://repo2.maven.org/maven2/biz/source_code/%{name}/%{long_ver}/%{name}-%{long_ver}-distribution.zip

BuildRequires:  maven-local
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

%description
Base64Coder is a fast and compact Base64 encoder/decoder class.

There is no Base64 encoder/decoder in the standard Java SDK class
library.  The undocumented classes sun.misc.BASE64Encoder and
sun.misc.BASE64Decoder should not be used.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains %{summary}.

%prep
%setup -q -n %{name}-%{long_ver}
sed -i 's/\r//g' README.txt CHANGES.txt
%mvn_file : %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.txt CHANGES.txt

%files javadoc -f .mfiles-javadoc




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 20101219-15.mga6
+ Revision: 982473
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 20101219-14.mga6
+ Revision: 975683
- First rebuild of the java stack
- sync package base64coder with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Dec 29 2014 daviddavid <daviddavid> 20101219-10.mga5
+ Revision: 807152
- rebuild for new sonatype-oss-parent

* Wed Oct 15 2014 umeabot <umeabot> 20101219-9.mga5
+ Revision: 746151
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Oct 24 2013 dmorgan <dmorgan> 20101219-7.mga4
+ Revision: 546729
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + luigiwalser <luigiwalser>
    - BR maven-local for mvn-rpmbuild

* Tue Sep 11 2012 dmorgan <dmorgan> 20101219-4.mga3
+ Revision: 292249
- Clean spec file

* Wed Jul 20 2011 dmorgan <dmorgan> 20101219-3.mga2
+ Revision: 127204
- Revert previous commit

* Wed Jul 20 2011 dmorgan <dmorgan> 20101219-2.mga2
+ Revision: 127197
- Simplify spec file by syning with fedora one

  + gil <gil>
    - imported package base64coder


* Tue Jun 14 2011 gil <gil> 20101219-0.%%mkrel
- initial rpm